#include "muf.h"
#include "resint.h"
#include "pmom.h"
#include "mesq.h"
#include "settings.h"
#include "ccoeff.h"
#include "resconst.h"

using namespace pmom;
using namespace resconst;
using namespace ccoeff;

complex <double> muf::h4st_qg    (int idx ) {return + gamma4qg[idx]*LF- gamma4qg[idx]*LQ+ 1./2.*gamma2qg[idx]*gamma2qqbp[idx]*LF2+ 1./2.*gamma2qg[idx]*gamma2qqbp[idx]*LQ2- gamma2qg[idx]*gamma2qqbp[idx]*LQ*LF+ 1./2.*gamma2qg[idx]*gamma2qqp[idx]*LF2+ 1./2.*gamma2qg[idx]*gamma2qqp[idx]*LQ2- gamma2qg[idx]*gamma2qqp[idx]*LQ*LF+ 1./2.*gamma2qg[idx]*gamma2qqb[idx]*LF2+ 1./2.*gamma2qg[idx]*gamma2qqb[idx]*LQ2- gamma2qg[idx]*gamma2qqb[idx]*LQ*LF+ 1./2.*gamma2qg[idx]*gamma1gg[idx]*LF2+ 1./2.*gamma2qg[idx]*gamma1gg[idx]*LQ2- gamma2qg[idx]*gamma1gg[idx]*LQ*LF + gamma1qg[idx]*gamma3gg[idx]*LF2+ gamma1qg[idx]*gamma3gg[idx]*LQ2- gamma1qg[idx]*gamma3gg[idx]*LQ*LF+ 1./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2gg[idx]*LF3- 1./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2gg[idx]*LQ3+ 1./2.*gamma1qg[idx]*gamma1gg[idx]*gamma2gg[idx]*LQ2*LF- gamma1qg[idx]*gamma1gg[idx]*gamma2gg[idx]*LQ*LF2+ 1./24.*gamma1qg[idx]*pow(gamma1gg[idx],3)*LF4+ 1./24.*gamma1qg[idx]*pow(gamma1gg[idx],3)*LQ4- 1./6.*gamma1qg[idx]*pow(gamma1gg[idx],3)*LQ3*LF+ 1./4.*gamma1qg[idx]*pow(gamma1gg[idx],3)*LQ2*LF2- 1./6.*gamma1qg[idx]*pow(gamma1gg[idx],3)*LQ*LF3+ 1./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LF3- 1./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ3+ 5./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF - 5./2.*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+ pow(gamma1qg[idx],2)*gamma2gq[idx]*LF3- pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ3+ 2.*pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ2*LF- 2.*pow(gamma1qg[idx],2)*gamma2gq[idx]*LQ*LF2+ 5./12.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LF4+ 5./12.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ4- 5./3.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+ 5./2.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2- 5./3.*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+ gamma3qq[idx]*gamma1qg[idx]*LF2+ gamma3qq[idx]*gamma1qg[idx]*LQ2- 2.*gamma3qq[idx]*gamma1qg[idx]*LQ*LF+ 3./2.*gamma2qq[idx]*gamma2qg[idx]*LF2+ 3./2.*gamma2qq[idx]*gamma2qg[idx]*LQ2 - 3.*gamma2qq[idx]*gamma2qg[idx]*LQ*LF+ 1./2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LF3- 1./2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3+ 3./2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF- 3./2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ*LF2+ 2.*gamma1qq[idx]*gamma3qg[idx]*LF2+ 2.*gamma1qq[idx]*gamma3qg[idx]*LQ2- 3.*gamma1qq[idx]*gamma3qg[idx]*LQ*LF+ gamma1qq[idx]*gamma2qg[idx]*gamma1gg[idx]*LQ2*LF- gamma1qq[idx]*gamma2qg[idx]*gamma1gg[idx]*LQ*LF2+ gamma1qq[idx]*gamma1qg[idx]*gamma2qqbp[idx]*LQ2*LF- gamma1qq[idx]*gamma1qg[idx]*gamma2qqbp[idx]*LQ*LF2+ gamma1qq[idx]*gamma1qg[idx]*gamma2qqp[idx]*LQ2*LF- gamma1qq[idx]*gamma1qg[idx]*gamma2qqp[idx]*LQ*LF2+ gamma1qq[idx]*gamma1qg[idx]*gamma2qqb[idx]*LQ2*LF - gamma1qq[idx]*gamma1qg[idx]*gamma2qqb[idx]*LQ*LF2+ 3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LF3- 3./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LQ3+ 5./2.*gamma1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LQ2*LF- 3.*gamma1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LQ*LF2+ 5./24.*gamma1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LF4+ 5./24.*gamma1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ4- 5./6.*gamma1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ3*LF+ 5./4.*gamma1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ2*LF2- 5./6.*gamma1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ*LF3+ 7./12.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4+ 7./12.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4- 7./3.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF+ 7./2.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF2- 7./3.*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3 + 3./2.*gamma1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LF3- 3./2.*gamma1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LQ3+ 11./2.*gamma1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LQ2*LF- 11./2.*gamma1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LQ*LF2+ 2.*pow(gamma1qq[idx],2)*gamma2qg[idx]*LF3- 2.*pow(gamma1qq[idx],2)*gamma2qg[idx]*LQ3+ 4.*pow(gamma1qq[idx],2)*gamma2qg[idx]*LQ2*LF- 9./2.*pow(gamma1qq[idx],2)*gamma2qg[idx]*LQ*LF2+ 11./24.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LF4+ 11./24.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LQ4- 11./6.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF+ 11./4.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2- 11./6.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LQ*LF3+ 5./8.*pow(gamma1qq[idx],3)*gamma1qg[idx]*LF4+ 5./8.*pow(gamma1qq[idx],3)*gamma1qg[idx]*LQ4 - 5./2.*pow(gamma1qq[idx],3)*gamma1qg[idx]*LQ3*LF+ 15./4.*pow(gamma1qq[idx],3)*gamma1qg[idx]*LQ2*LF2- 5./2.*pow(gamma1qq[idx],3)*gamma1qg[idx]*LQ*LF3+ EC3qg[idx]*gamma1qq[idx]*LF- EC3qg[idx]*gamma1qq[idx]*LQ+ 3./2.*EC2qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LF2+ 3./2.*EC2qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2- 3.*EC2qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+ EC2qg[idx]*gamma2qq[idx]*LF- EC2qg[idx]*gamma2qq[idx]*LQ+ EC2qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LF2+ EC2qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LQ2- 2.*EC2qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LQ*LF+ 1./2.*EC2qg[idx]*pow(gamma1qq[idx],2)*LF2+ 1./2.*EC2qg[idx]*pow(gamma1qq[idx],2)*LQ2 - EC2qg[idx]*pow(gamma1qq[idx],2)*LQ*LF+ EC1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LF2+ EC1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2- 3.*EC1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF+ 2.*EC1qg[idx]*gamma1qg[idx]*gamma2gq[idx]*LF2+ 2.*EC1qg[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ2- 3.*EC1qg[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ*LF+ 5./3.*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF3- 5./3.*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3+ 5.*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF- 5.*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF2+ EC1qg[idx]*gamma3qq[idx]*LF- EC1qg[idx]*gamma3qq[idx]*LQ+ EC1qg[idx]*gamma2qq[idx]*gamma1gg[idx]*LF2+ EC1qg[idx]*gamma2qq[idx]*gamma1gg[idx]*LQ2 - 2.*EC1qg[idx]*gamma2qq[idx]*gamma1gg[idx]*LQ*LF+ EC1qg[idx]*gamma1qq[idx]*gamma2gg[idx]*LF2+ EC1qg[idx]*gamma1qq[idx]*gamma2gg[idx]*LQ2- 2.*EC1qg[idx]*gamma1qq[idx]*gamma2gg[idx]*LQ*LF+ 1./2.*EC1qg[idx]*gamma1qq[idx]*pow(gamma1gg[idx],2)*LF3- 1./2.*EC1qg[idx]*gamma1qq[idx]*pow(gamma1gg[idx],2)*LQ3+ 3./2.*EC1qg[idx]*gamma1qq[idx]*pow(gamma1gg[idx],2)*LQ2*LF- 3./2.*EC1qg[idx]*gamma1qq[idx]*pow(gamma1gg[idx],2)*LQ*LF2+ 4./3.*EC1qg[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3- 4./3.*EC1qg[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+ 4.*EC1qg[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF- 4.*EC1qg[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+ EC1qg[idx]*gamma1qq[idx]*gamma2qq[idx]*LF2+ EC1qg[idx]*gamma1qq[idx]*gamma2qq[idx]*LQ2- 2.*EC1qg[idx]*gamma1qq[idx]*gamma2qq[idx]*LQ*LF + 1./2.*EC1qg[idx]*pow(gamma1qq[idx],2)*gamma1gg[idx]*LF3- 1./2.*EC1qg[idx]*pow(gamma1qq[idx],2)*gamma1gg[idx]*LQ3+ 3./2.*EC1qg[idx]*pow(gamma1qq[idx],2)*gamma1gg[idx]*LQ2*LF- 3./2.*EC1qg[idx]*pow(gamma1qq[idx],2)*gamma1gg[idx]*LQ*LF2+ 1./6.*EC1qg[idx]*pow(gamma1qq[idx],3)*LF3- 1./6.*EC1qg[idx]*pow(gamma1qq[idx],3)*LQ3+ 1./2.*EC1qg[idx]*pow(gamma1qq[idx],3)*LQ2*LF- 1./2.*EC1qg[idx]*pow(gamma1qq[idx],3)*LQ*LF2+ 2.*EC1qg[idx]*EC2qg[idx]*gamma1gq[idx]*LF- 2.*EC1qg[idx]*EC2qg[idx]*gamma1gq[idx]*LQ+ pow(EC1qg[idx],2)*gamma2gq[idx]*LF- pow(EC1qg[idx],2)*gamma2gq[idx]*LQ+ 3./2.*pow(EC1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LF2+ 3./2.*pow(EC1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ2- 3.*pow(EC1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ*LF + 1./2.*pow(EC1qg[idx],2)*gamma1qq[idx]*gamma1gq[idx]*LF2+ 1./2.*pow(EC1qg[idx],2)*gamma1qq[idx]*gamma1gq[idx]*LQ2- pow(EC1qg[idx],2)*gamma1qq[idx]*gamma1gq[idx]*LQ*LF+ EC2qqbp[idx]*gamma1qq[idx]*gamma1qg[idx]*LF2+ EC2qqbp[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ2- 2.*EC2qqbp[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ*LF+ EC2qqp[idx]*gamma1qq[idx]*gamma1qg[idx]*LF2+ EC2qqp[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ2- 2.*EC2qqp[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ*LF+ EC2qqb[idx]*gamma1qq[idx]*gamma1qg[idx]*LF2+ EC2qqb[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ2- 2.*EC2qqb[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ*LF+ EC3qq[idx]*gamma1qg[idx]*LF- EC3qq[idx]*gamma1qg[idx]*LQ+ EC2qq[idx]*gamma2qg[idx]*LF - EC2qq[idx]*gamma2qg[idx]*LQ+ 1./2.*EC2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LF2+ 1./2.*EC2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2- EC2qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ*LF+ 5./2.*EC2qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LF2+ 5./2.*EC2qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ2- 5.*EC2qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ*LF+ EC2qq[idx]*EC1qg[idx]*gamma1gg[idx]*LF- EC2qq[idx]*EC1qg[idx]*gamma1gg[idx]*LQ+ EC2qq[idx]*EC1qg[idx]*gamma1qq[idx]*LF- EC2qq[idx]*EC1qg[idx]*gamma1qq[idx]*LQ+ EC1qq[idx]*gamma3qg[idx]*LF- EC1qq[idx]*gamma3qg[idx]*LQ- EC1qq[idx]*gamma2qg[idx]*gamma1gg[idx]*LQ*LF- EC1qq[idx]*gamma1qg[idx]*gamma2qqbp[idx]*LQ*LF - EC1qq[idx]*gamma1qg[idx]*gamma2qqp[idx]*LQ*LF- EC1qq[idx]*gamma1qg[idx]*gamma2qqb[idx]*LQ*LF+ EC1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LF2+ EC1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LQ2- EC1qq[idx]*gamma1qg[idx]*gamma2gg[idx]*LQ*LF+ 1./6.*EC1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LF3- 1./6.*EC1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ3+ 1./2.*EC1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ2*LF- 1./2.*EC1qq[idx]*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ*LF2+ EC1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF3- EC1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3+ 3.*EC1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF- 3.*EC1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF2+ 2.*EC1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LF2+ 2.*EC1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LQ2 - 5.*EC1qq[idx]*gamma2qq[idx]*gamma1qg[idx]*LQ*LF+ 3.*EC1qq[idx]*gamma1qq[idx]*gamma2qg[idx]*LF2+ 3.*EC1qq[idx]*gamma1qq[idx]*gamma2qg[idx]*LQ2- 5.*EC1qq[idx]*gamma1qq[idx]*gamma2qg[idx]*LQ*LF+ 7./6.*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LF3- 7./6.*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3+ 7./2.*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF- 7./2.*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ*LF2+ 13./6.*EC1qq[idx]*pow(gamma1qq[idx],2)*gamma1qg[idx]*LF3- 13./6.*EC1qq[idx]*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ3+ 13./2.*EC1qq[idx]*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ2*LF- 13./2.*EC1qq[idx]*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ*LF2+ EC1qq[idx]*EC2qg[idx]*gamma1gg[idx]*LF- EC1qq[idx]*EC2qg[idx]*gamma1gg[idx]*LQ+ EC1qq[idx]*EC2qg[idx]*gamma1qq[idx]*LF - EC1qq[idx]*EC2qg[idx]*gamma1qq[idx]*LQ+ EC1qq[idx]*EC1qg[idx]*gamma2gg[idx]*LF- EC1qq[idx]*EC1qg[idx]*gamma2gg[idx]*LQ+ 1./2.*EC1qq[idx]*EC1qg[idx]*pow(gamma1gg[idx],2)*LF2+ 1./2.*EC1qq[idx]*EC1qg[idx]*pow(gamma1gg[idx],2)*LQ2- EC1qq[idx]*EC1qg[idx]*pow(gamma1gg[idx],2)*LQ*LF+ 3./2.*EC1qq[idx]*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LF2+ 3./2.*EC1qq[idx]*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2- 3.*EC1qq[idx]*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+ EC1qq[idx]*EC1qg[idx]*gamma2qq[idx]*LF- EC1qq[idx]*EC1qg[idx]*gamma2qq[idx]*LQ+ EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LF2+ EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LQ2- 2.*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LQ*LF+ 1./2.*EC1qq[idx]*EC1qg[idx]*pow(gamma1qq[idx],2)*LF2 + 1./2.*EC1qq[idx]*EC1qg[idx]*pow(gamma1qq[idx],2)*LQ2- EC1qq[idx]*EC1qg[idx]*pow(gamma1qq[idx],2)*LQ*LF+ EC1qq[idx]*EC2qqbp[idx]*gamma1qg[idx]*LF- EC1qq[idx]*EC2qqbp[idx]*gamma1qg[idx]*LQ+ EC1qq[idx]*EC2qqp[idx]*gamma1qg[idx]*LF- EC1qq[idx]*EC2qqp[idx]*gamma1qg[idx]*LQ+ EC1qq[idx]*EC2qqb[idx]*gamma1qg[idx]*LF- EC1qq[idx]*EC2qqb[idx]*gamma1qg[idx]*LQ+ 2.*EC1qq[idx]*EC2qq[idx]*gamma1qg[idx]*LF- 2.*EC1qq[idx]*EC2qq[idx]*gamma1qg[idx]*LQ+ pow(EC1qq[idx],2)*gamma2qg[idx]*LF- pow(EC1qq[idx],2)*gamma2qg[idx]*LQ+ 1./2.*pow(EC1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LF2+ 1./2.*pow(EC1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LQ2- pow(EC1qq[idx],2)*gamma1qg[idx]*gamma1gg[idx]*LQ*LF + 3./2.*pow(EC1qq[idx],2)*gamma1qq[idx]*gamma1qg[idx]*LF2+ 3./2.*pow(EC1qq[idx],2)*gamma1qq[idx]*gamma1qg[idx]*LQ2- 3.*pow(EC1qq[idx],2)*gamma1qq[idx]*gamma1qg[idx]*LQ*LF+ double(NF)*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LF3- double(NF)*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ3+ double(NF)*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF- 2.*double(NF)*gamma1qg[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+ 1./12.*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LF4+ 1./12.*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ4- 1./3.*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+ 1./2.*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2- 1./3.*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+ 1./2.*double(NF)*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4+ 1./2.*double(NF)*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4- 2.*double(NF)*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF + 3.*double(NF)*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2 *LF2- 2.*double(NF)*gamma1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3+ double(NF)*EC1qg[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3- double(NF)*EC1qg[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+ 3.*double(NF)*EC1qg[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF- 3.*double(NF)*EC1qg[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+ 1./3.*double(NF)*EC1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF3- 1./3.*double(NF)*EC1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3+ double(NF)*EC1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF- double(NF)*EC1qq[idx]*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF2+ double(NF)*EC1qq[idx]*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LF2+ double(NF)*EC1qq[idx]*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2- 2.*double(NF)*EC1qq[idx]*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+ 1./2.*beta2*gamma1qg[idx]*LF2 - 1./2.*beta2*gamma1qg[idx]*LQ2+ beta1*gamma2qg[idx]*LF2- beta1*gamma2qg[idx]*LQ2+ 1./2.*beta1*gamma1qg[idx]*gamma1gg[idx]*LF3+ 1./2.*beta1*gamma1qg[idx]*gamma1gg[idx]*LQ3- 1./2.*beta1*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF- 1./2.*beta1*gamma1qg[idx]*gamma1gg[idx]*LQ*LF2+ 3./2.*beta1*gamma1qq[idx]*gamma1qg[idx]*LF3+ 3./2.*beta1*gamma1qq[idx]*gamma1qg[idx]*LQ3- 3./2.*beta1*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF- 3./2.*beta1*gamma1qq[idx]*gamma1qg[idx]*LQ*LF2+ 1./2.*beta1*EC1qg[idx]*gamma1gg[idx]*LF2- 3./2.*beta1*EC1qg[idx]*gamma1gg[idx]*LQ2+ beta1*EC1qg[idx]*gamma1gg[idx]*LQ*LF+ 1./2.*beta1*EC1qg[idx]*gamma1qq[idx]*LF2 - 3./2.*beta1*EC1qg[idx]*gamma1qq[idx]*LQ2+ beta1*EC1qg[idx]*gamma1qq[idx]*LQ*LF+ beta1*EC1qq[idx]*gamma1qg[idx]*LF2- 3.*beta1*EC1qq[idx]*gamma1qg[idx]*LQ2+ 2.*beta1*EC1qq[idx]*gamma1qg[idx]*LQ*LF+ 3./2.*beta0*gamma3qg[idx]*LF2- 3./2.*beta0*gamma3qg[idx]*LQ2- beta0*gamma2qg[idx]*gamma1gg[idx]*LQ2*LF- 1./2.*beta0*gamma2qg[idx]*gamma1gg[idx]*LQ*LF2- beta0*gamma1qg[idx]*gamma2qqbp[idx]*LQ2*LF- 1./2.*beta0*gamma1qg[idx]*gamma2qqbp[idx]*LQ*LF2- beta0*gamma1qg[idx]*gamma2qqp[idx]*LQ2*LF- 1./2.*beta0*gamma1qg[idx]*gamma2qqp[idx]*LQ*LF2- beta0*gamma1qg[idx]*gamma2qqb[idx]*LQ2*LF- 1./2.*beta0*gamma1qg[idx]*gamma2qqb[idx]*LQ*LF2 + 3./2.*beta0*gamma1qg[idx]*gamma2gg[idx]*LF3+ 3./2.*beta0*gamma1qg[idx]*gamma2gg[idx]*LQ3- 1./2.*beta0*gamma1qg[idx]*gamma2gg[idx]*LQ2*LF- beta0*gamma1qg[idx]*gamma2gg[idx]*LQ*LF2+ 1./4.*beta0*gamma1qg[idx]*pow(gamma1gg[idx],2)*LF4- 1./4.*beta0*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ4+ 1./2.*beta0*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ3*LF- 1./2.*beta0*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ*LF3+ 3./4.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4- 3./4.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4+ 3./2.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF- 3./2.*beta0*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3+ 3./2.*beta0*gamma2qq[idx]*gamma1qg[idx]*LF3+ 3./2.*beta0*gamma2qq[idx]*gamma1qg[idx]*LQ3- 5./2.*beta0*gamma2qq[idx]*gamma1qg[idx]*LQ2*LF - 2.*beta0*gamma2qq[idx]*gamma1qg[idx]*LQ*LF2+ 3.*beta0*gamma1qq[idx]*gamma2qg[idx]*LF3+ 3.*beta0*gamma1qq[idx]*gamma2qg[idx]*LQ3- 2.*beta0*gamma1qq[idx]*gamma2qg[idx]*LQ2*LF- 5./2.*beta0*gamma1qq[idx]*gamma2qg[idx]*LQ*LF2+ beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LF4- beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ4+ 2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF- 2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ*LF3+ 7./4.*beta0*pow(gamma1qq[idx],2)*gamma1qg[idx]*LF4- 7./4.*beta0*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ4+ 7./2.*beta0*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ3*LF- 7./2.*beta0*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ*LF3+ 1./2.*beta0*EC2qg[idx]*gamma1gg[idx]*LF2- 5./2.*beta0*EC2qg[idx]*gamma1gg[idx]*LQ2 + 2.*beta0*EC2qg[idx]*gamma1gg[idx]*LQ*LF+ 1./2.*beta0*EC2qg[idx]*gamma1qq[idx]*LF2- 5./2.*beta0*EC2qg[idx]*gamma1qq[idx]*LQ2+ 2.*beta0*EC2qg[idx]*gamma1qq[idx]*LQ*LF+ beta0*EC1qg[idx]*gamma2gg[idx]*LF2- 2.*beta0*EC1qg[idx]*gamma2gg[idx]*LQ2+ beta0*EC1qg[idx]*gamma2gg[idx]*LQ*LF+ 1./2.*beta0*EC1qg[idx]*pow(gamma1gg[idx],2)*LF3+ beta0*EC1qg[idx]*pow(gamma1gg[idx],2)*LQ3- 3./2.*beta0*EC1qg[idx]*pow(gamma1gg[idx],2)*LQ2*LF+ 3./2.*beta0*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3+ 3.*beta0*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3- 9./2.*beta0*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF+ beta0*EC1qg[idx]*gamma2qq[idx]*LF2- 2.*beta0*EC1qg[idx]*gamma2qq[idx]*LQ2 + beta0*EC1qg[idx]*gamma2qq[idx]*LQ*LF+ beta0*EC1qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LF3+ 2.*beta0*EC1qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LQ3- 3.*beta0*EC1qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LQ2*LF+ 1./2.*beta0*EC1qg[idx]*pow(gamma1qq[idx],2)*LF3+ beta0*EC1qg[idx]*pow(gamma1qq[idx],2)*LQ3- 3./2.*beta0*EC1qg[idx]*pow(gamma1qq[idx],2)*LQ2*LF+ 1./2.*beta0*pow(EC1qg[idx],2)*gamma1gq[idx]*LF2- 5./2.*beta0*pow(EC1qg[idx],2)*gamma1gq[idx]*LQ2+ 2.*beta0*pow(EC1qg[idx],2)*gamma1gq[idx]*LQ*LF+ 1./2.*beta0*EC2qqbp[idx]*gamma1qg[idx]*LF2- 5./2.*beta0*EC2qqbp[idx]*gamma1qg[idx]*LQ2+ 2.*beta0*EC2qqbp[idx]*gamma1qg[idx]*LQ*LF+ 1./2.*beta0*EC2qqp[idx]*gamma1qg[idx]*LF2- 5./2.*beta0*EC2qqp[idx]*gamma1qg[idx]*LQ2 + 2.*beta0*EC2qqp[idx]*gamma1qg[idx]*LQ*LF+ 1./2.*beta0*EC2qqb[idx]*gamma1qg[idx]*LF2- 5./2.*beta0*EC2qqb[idx]*gamma1qg[idx]*LQ2+ 2.*beta0*EC2qqb[idx]*gamma1qg[idx]*LQ*LF+ beta0*EC2qq[idx]*gamma1qg[idx]*LF2- 5.*beta0*EC2qq[idx]*gamma1qg[idx]*LQ2+ 4.*beta0*EC2qq[idx]*gamma1qg[idx]*LQ*LF+ 2.*beta0*EC1qq[idx]*gamma2qg[idx]*LF2- 4.*beta0*EC1qq[idx]*gamma2qg[idx]*LQ2+ 2.*beta0*EC1qq[idx]*gamma2qg[idx]*LQ*LF+ beta0*EC1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LF3+ 2.*beta0*EC1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3- 3.*beta0*EC1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF+ 3.*beta0*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LF3+ 6.*beta0*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ3 - 9.*beta0*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF+ 1./2.*beta0*EC1qq[idx]*EC1qg[idx]*gamma1gg[idx]*LF2- 5./2.*beta0*EC1qq[idx]*EC1qg[idx]*gamma1gg[idx]*LQ2+ 2.*beta0*EC1qq[idx]*EC1qg[idx]*gamma1gg[idx]*LQ*LF+ 1./2.*beta0*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*LF2- 5./2.*beta0*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*LQ2+ 2.*beta0*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*LQ*LF+ 1./2.*beta0*pow(EC1qq[idx],2)*gamma1qg[idx]*LF2- 5./2.*beta0*pow(EC1qq[idx],2)*gamma1qg[idx]*LQ2+ 2.*beta0*pow(EC1qq[idx],2)*gamma1qg[idx]*LQ*LF+ 1./2.*beta0*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LF4- 1./2.*beta0*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4+ beta0*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF- beta0*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3+ beta0*double(NF)*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3 + 2.*beta0*double(NF)*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3- 3.*beta0*double(NF)*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF+ 5./6.*beta0*beta1*gamma1qg[idx]*LF3- 5./6.*beta0*beta1*gamma1qg[idx]*LQ3+ pow(beta0,2)*gamma2qg[idx]*LF3- pow(beta0,2)*gamma2qg[idx]*LQ3+ 11./24.*pow(beta0,2)*gamma1qg[idx]*gamma1gg[idx]*LF4+ 11./24.*pow(beta0,2)*gamma1qg[idx]*gamma1gg[idx]*LQ4- 1./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF- 1./4.*pow(beta0,2)*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2- 1./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gg[idx]*LQ*LF3+ 11./8.*pow(beta0,2)*gamma1qq[idx]*gamma1qg[idx]*LF4+ 11./8.*pow(beta0,2)*gamma1qq[idx]*gamma1qg[idx]*LQ4- pow(beta0,2)*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF- 3./4.*pow(beta0,2)*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF2 - pow(beta0,2)*gamma1qq[idx]*gamma1qg[idx]*LQ*LF3+ 1./3.*pow(beta0,2)*EC1qg[idx]*gamma1gg[idx]*LF3- 11./6.*pow(beta0,2)*EC1qg[idx]*gamma1gg[idx]*LQ3+ pow(beta0,2)*EC1qg[idx]*gamma1gg[idx]*LQ2*LF+ 1./2.*pow(beta0,2)*EC1qg[idx]*gamma1gg[idx]*LQ*LF2+ 1./3.*pow(beta0,2)*EC1qg[idx]*gamma1qq[idx]*LF3- 11./6.*pow(beta0,2)*EC1qg[idx]*gamma1qq[idx]*LQ3+ pow(beta0,2)*EC1qg[idx]*gamma1qq[idx]*LQ2*LF+ 1./2.*pow(beta0,2)*EC1qg[idx]*gamma1qq[idx]*LQ*LF2+ 2./3.*pow(beta0,2)*EC1qq[idx]*gamma1qg[idx]*LF3- 11./3.*pow(beta0,2)*EC1qq[idx]*gamma1qg[idx]*LQ3+ 2.*pow(beta0,2)*EC1qq[idx]*gamma1qg[idx]*LQ2*LF+ pow(beta0,2)*EC1qq[idx]*gamma1qg[idx]*LQ*LF2+ 1./4.*pow(beta0,3)*gamma1qg[idx]*LF4- 1./4.*pow(beta0,3)*gamma1qg[idx]*LQ4 + B3*gamma1qg[idx]*LQ2- B3*gamma1qg[idx]*LQ*LF+ B2*gamma2qg[idx]*LQ2- B2*gamma2qg[idx]*LQ*LF- 1./2.*B2*gamma1qg[idx]*gamma1gg[idx]*LQ3+ B2*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF- 1./2.*B2*gamma1qg[idx]*gamma1gg[idx]*LQ*LF2- 3./2.*B2*gamma1qq[idx]*gamma1qg[idx]*LQ3+ 3.*B2*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF- 3./2.*B2*gamma1qq[idx]*gamma1qg[idx]*LQ*LF2+ B2*EC1qg[idx]*gamma1gg[idx]*LQ2- B2*EC1qg[idx]*gamma1gg[idx]*LQ*LF+ B2*EC1qg[idx]*gamma1qq[idx]*LQ2- B2*EC1qg[idx]*gamma1qq[idx]*LQ*LF+ 2.*B2*EC1qq[idx]*gamma1qg[idx]*LQ2 - 2.*B2*EC1qq[idx]*gamma1qg[idx]*LQ*LF+ 3./2.*B2*beta0*gamma1qg[idx]*LQ3- B2*beta0*gamma1qg[idx]*LQ2*LF- 1./2.*B2*beta0*gamma1qg[idx]*LQ*LF2+ B1*gamma3qg[idx]*LQ2- B1*gamma3qg[idx]*LQ*LF+ B1*gamma2qg[idx]*gamma1gg[idx]*LQ2*LF+ B1*gamma1qg[idx]*gamma2qqbp[idx]*LQ2*LF+ B1*gamma1qg[idx]*gamma2qqp[idx]*LQ2*LF+ B1*gamma1qg[idx]*gamma2qqb[idx]*LQ2*LF- B1*gamma1qg[idx]*gamma2gg[idx]*LQ3+ B1*gamma1qg[idx]*gamma2gg[idx]*LQ2*LF- B1*gamma1qg[idx]*gamma2gg[idx]*LQ*LF2+ 1./6.*B1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ4- 1./2.*B1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ3*LF + 1./2.*B1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ2*LF2- 1./6.*B1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ*LF3+ 1./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4- 3./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF+ 3./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF2- 1./2.*B1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3- B1*gamma2qq[idx]*gamma1qg[idx]*LQ3+ 3.*B1*gamma2qq[idx]*gamma1qg[idx]*LQ2*LF- B1*gamma2qq[idx]*gamma1qg[idx]*LQ*LF2- 2.*B1*gamma1qq[idx]*gamma2qg[idx]*LQ3+ 3.*B1*gamma1qq[idx]*gamma2qg[idx]*LQ2*LF- 2.*B1*gamma1qq[idx]*gamma2qg[idx]*LQ*LF2+ 2./3.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ4- 2.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF+ 2.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2 - 2./3.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ*LF3+ 7./6.*B1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ4- 7./2.*B1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ3*LF+ 7./2.*B1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ2*LF2- 7./6.*B1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ*LF3+ B1*EC2qg[idx]*gamma1gg[idx]*LQ2- B1*EC2qg[idx]*gamma1gg[idx]*LQ*LF+ B1*EC2qg[idx]*gamma1qq[idx]*LQ2- B1*EC2qg[idx]*gamma1qq[idx]*LQ*LF+ B1*EC1qg[idx]*gamma2gg[idx]*LQ2- B1*EC1qg[idx]*gamma2gg[idx]*LQ*LF- 1./2.*B1*EC1qg[idx]*pow(gamma1gg[idx],2)*LQ3+ B1*EC1qg[idx]*pow(gamma1gg[idx],2)*LQ2*LF- 1./2.*B1*EC1qg[idx]*pow(gamma1gg[idx],2)*LQ*LF2- 3./2.*B1*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3 + 3.*B1*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF- 3./2.*B1*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+ B1*EC1qg[idx]*gamma2qq[idx]*LQ2- B1*EC1qg[idx]*gamma2qq[idx]*LQ*LF- B1*EC1qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LQ3+ 2.*B1*EC1qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LQ2*LF- B1*EC1qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LQ*LF2- 1./2.*B1*EC1qg[idx]*pow(gamma1qq[idx],2)*LQ3+ B1*EC1qg[idx]*pow(gamma1qq[idx],2)*LQ2*LF- 1./2.*B1*EC1qg[idx]*pow(gamma1qq[idx],2)*LQ*LF2+ B1*pow(EC1qg[idx],2)*gamma1gq[idx]*LQ2- B1*pow(EC1qg[idx],2)*gamma1gq[idx]*LQ*LF+ B1*EC2qqbp[idx]*gamma1qg[idx]*LQ2- B1*EC2qqbp[idx]*gamma1qg[idx]*LQ*LF+ B1*EC2qqp[idx]*gamma1qg[idx]*LQ2 - B1*EC2qqp[idx]*gamma1qg[idx]*LQ*LF+ B1*EC2qqb[idx]*gamma1qg[idx]*LQ2- B1*EC2qqb[idx]*gamma1qg[idx]*LQ*LF+ 2.*B1*EC2qq[idx]*gamma1qg[idx]*LQ2- 2.*B1*EC2qq[idx]*gamma1qg[idx]*LQ*LF+ 2.*B1*EC1qq[idx]*gamma2qg[idx]*LQ2- 2.*B1*EC1qq[idx]*gamma2qg[idx]*LQ*LF- B1*EC1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3+ 2.*B1*EC1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF- B1*EC1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ*LF2- 3.*B1*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ3+ 6.*B1*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF- 3.*B1*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ*LF2+ B1*EC1qq[idx]*EC1qg[idx]*gamma1gg[idx]*LQ2- B1*EC1qq[idx]*EC1qg[idx]*gamma1gg[idx]*LQ*LF + B1*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*LQ2- B1*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*LQ*LF+ B1*pow(EC1qq[idx],2)*gamma1qg[idx]*LQ2- B1*pow(EC1qq[idx],2)*gamma1qg[idx]*LQ*LF+ 1./3.*B1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4- B1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF+ B1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF2- 1./3.*B1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ*LF3- B1*double(NF)*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+ 2.*B1*double(NF)*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF- B1*double(NF)*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+ B1*beta1*gamma1qg[idx]*LQ3- 1./2.*B1*beta1*gamma1qg[idx]*LQ2*LF- 1./2.*B1*beta1*gamma1qg[idx]*LQ*LF2+ 3./2.*B1*beta0*gamma2qg[idx]*LQ3 - 1./2.*B1*beta0*gamma2qg[idx]*LQ2*LF- B1*beta0*gamma2qg[idx]*LQ*LF2- 3./4.*B1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ4+ B1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF+ 1./4.*B1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2- 1./2.*B1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ*LF3- 9./4.*B1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ4+ 3.*B1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF+ 3./4.*B1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF2- 3./2.*B1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ*LF3+ 2.*B1*beta0*EC1qg[idx]*gamma1gg[idx]*LQ3- 3./2.*B1*beta0*EC1qg[idx]*gamma1gg[idx]*LQ2*LF- 1./2.*B1*beta0*EC1qg[idx]*gamma1gg[idx]*LQ*LF2+ 2.*B1*beta0*EC1qg[idx]*gamma1qq[idx]*LQ3- 3./2.*B1*beta0*EC1qg[idx]*gamma1qq[idx]*LQ2*LF - 1./2.*B1*beta0*EC1qg[idx]*gamma1qq[idx]*LQ*LF2+ 4.*B1*beta0*EC1qq[idx]*gamma1qg[idx]*LQ3- 3.*B1*beta0*EC1qq[idx]*gamma1qg[idx]*LQ2*LF- B1*beta0*EC1qq[idx]*gamma1qg[idx]*LQ*LF2+ 11./12.*B1*pow(beta0,2)*gamma1qg[idx]*LQ4- 1./3.*B1*pow(beta0,2)*gamma1qg[idx]*LQ3*LF- 1./4.*B1*pow(beta0,2)*gamma1qg[idx]*LQ2*LF2- 1./3.*B1*pow(beta0,2)*gamma1qg[idx]*LQ*LF3- B1*B2*gamma1qg[idx]*LQ3+ B1*B2*gamma1qg[idx]*LQ2*LF- 1./2.*pow(B1,2)*gamma2qg[idx]*LQ3+ 1./2.*pow(B1,2)*gamma2qg[idx]*LQ2*LF+ 1./4.*pow(B1,2)*gamma1qg[idx]*gamma1gg[idx]*LQ4- 1./2.*pow(B1,2)*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF+ 1./4.*pow(B1,2)*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2 + 3./4.*pow(B1,2)*gamma1qq[idx]*gamma1qg[idx]*LQ4- 3./2.*pow(B1,2)*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF+ 3./4.*pow(B1,2)*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF2- 1./2.*pow(B1,2)*EC1qg[idx]*gamma1gg[idx]*LQ3+ 1./2.*pow(B1,2)*EC1qg[idx]*gamma1gg[idx]*LQ2*LF- 1./2.*pow(B1,2)*EC1qg[idx]*gamma1qq[idx]*LQ3+ 1./2.*pow(B1,2)*EC1qg[idx]*gamma1qq[idx]*LQ2*LF- pow(B1,2)*EC1qq[idx]*gamma1qg[idx]*LQ3+ pow(B1,2)*EC1qq[idx]*gamma1qg[idx]*LQ2*LF- 3./4.*pow(B1,2)*beta0*gamma1qg[idx]*LQ4+ 1./2.*pow(B1,2)*beta0*gamma1qg[idx]*LQ3*LF+ 1./4.*pow(B1,2)*beta0*gamma1qg[idx]*LQ2*LF2+ 1./6.*pow(B1,3)*gamma1qg[idx]*LQ4- 1./6.*pow(B1,3)*gamma1qg[idx]*LQ3*LF+ 1./2.*A3*gamma1qg[idx]*LQ3 - 1./2.*A3*gamma1qg[idx]*LQ2*LF+ 1./2.*A2*gamma2qg[idx]*LQ3- 1./2.*A2*gamma2qg[idx]*LQ2*LF- 1./4.*A2*gamma1qg[idx]*gamma1gg[idx]*LQ4+ 1./2.*A2*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF- 1./4.*A2*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2- 3./4.*A2*gamma1qq[idx]*gamma1qg[idx]*LQ4+ 3./2.*A2*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF- 3./4.*A2*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF2+ 1./2.*A2*EC1qg[idx]*gamma1gg[idx]*LQ3- 1./2.*A2*EC1qg[idx]*gamma1gg[idx]*LQ2*LF+ 1./2.*A2*EC1qg[idx]*gamma1qq[idx]*LQ3- 1./2.*A2*EC1qg[idx]*gamma1qq[idx]*LQ2*LF+ A2*EC1qq[idx]*gamma1qg[idx]*LQ3- A2*EC1qq[idx]*gamma1qg[idx]*LQ2*LF + 11./12.*A2*beta0*gamma1qg[idx]*LQ4- 2./3.*A2*beta0*gamma1qg[idx]*LQ3*LF- 1./4.*A2*beta0*gamma1qg[idx]*LQ2*LF2- 1./2.*A2*B1*gamma1qg[idx]*LQ4+ 1./2.*A2*B1*gamma1qg[idx]*LQ3*LF+ 1./2.*A1*gamma3qg[idx]*LQ3- 1./2.*A1*gamma3qg[idx]*LQ2*LF+ 1./2.*A1*gamma2qg[idx]*gamma1gg[idx]*LQ3*LF+ 1./2.*A1*gamma1qg[idx]*gamma2qqbp[idx]*LQ3*LF+ 1./2.*A1*gamma1qg[idx]*gamma2qqp[idx]*LQ3*LF+ 1./2.*A1*gamma1qg[idx]*gamma2qqb[idx]*LQ3*LF- 1./2.*A1*gamma1qg[idx]*gamma2gg[idx]*LQ4+ 1./2.*A1*gamma1qg[idx]*gamma2gg[idx]*LQ3*LF- 1./2.*A1*gamma1qg[idx]*gamma2gg[idx]*LQ2*LF2+ 1./12.*A1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ5 - 1./4.*A1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ4*LF+ 1./4.*A1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ3*LF2- 1./12.*A1*gamma1qg[idx]*pow(gamma1gg[idx],2)*LQ2*LF3+ 1./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ5- 3./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4*LF+ 3./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF2- 1./4.*A1*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF3- 1./2.*A1*gamma2qq[idx]*gamma1qg[idx]*LQ4+ 3./2.*A1*gamma2qq[idx]*gamma1qg[idx]*LQ3*LF- 1./2.*A1*gamma2qq[idx]*gamma1qg[idx]*LQ2*LF2- A1*gamma1qq[idx]*gamma2qg[idx]*LQ4+ 3./2.*A1*gamma1qq[idx]*gamma2qg[idx]*LQ3*LF- A1*gamma1qq[idx]*gamma2qg[idx]*LQ2*LF2+ 1./3.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ5- A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ4*LF + A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF2- 1./3.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF3+ 7./12.*A1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ5- 7./4.*A1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ4*LF+ 7./4.*A1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ3*LF2- 7./12.*A1*pow(gamma1qq[idx],2)*gamma1qg[idx]*LQ2*LF3+ 1./2.*A1*EC2qg[idx]*gamma1gg[idx]*LQ3- 1./2.*A1*EC2qg[idx]*gamma1gg[idx]*LQ2*LF+ 1./2.*A1*EC2qg[idx]*gamma1qq[idx]*LQ3- 1./2.*A1*EC2qg[idx]*gamma1qq[idx]*LQ2*LF+ 1./2.*A1*EC1qg[idx]*gamma2gg[idx]*LQ3- 1./2.*A1*EC1qg[idx]*gamma2gg[idx]*LQ2*LF- 1./4.*A1*EC1qg[idx]*pow(gamma1gg[idx],2)*LQ4+ 1./2.*A1*EC1qg[idx]*pow(gamma1gg[idx],2)*LQ3*LF- 1./4.*A1*EC1qg[idx]*pow(gamma1gg[idx],2)*LQ2*LF2 - 3./4.*A1*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4+ 3./2.*A1*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF- 3./4.*A1*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+ 1./2.*A1*EC1qg[idx]*gamma2qq[idx]*LQ3- 1./2.*A1*EC1qg[idx]*gamma2qq[idx]*LQ2*LF- 1./2.*A1*EC1qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LQ4+ A1*EC1qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LQ3*LF- 1./2.*A1*EC1qg[idx]*gamma1qq[idx]*gamma1gg[idx]*LQ2*LF2- 1./4.*A1*EC1qg[idx]*pow(gamma1qq[idx],2)*LQ4+ 1./2.*A1*EC1qg[idx]*pow(gamma1qq[idx],2)*LQ3*LF- 1./4.*A1*EC1qg[idx]*pow(gamma1qq[idx],2)*LQ2*LF2+ 1./2.*A1*pow(EC1qg[idx],2)*gamma1gq[idx]*LQ3- 1./2.*A1*pow(EC1qg[idx],2)*gamma1gq[idx]*LQ2*LF+ 1./2.*A1*EC2qqbp[idx]*gamma1qg[idx]*LQ3- 1./2.*A1*EC2qqbp[idx]*gamma1qg[idx]*LQ2*LF + 1./2.*A1*EC2qqp[idx]*gamma1qg[idx]*LQ3- 1./2.*A1*EC2qqp[idx]*gamma1qg[idx]*LQ2*LF+ 1./2.*A1*EC2qqb[idx]*gamma1qg[idx]*LQ3- 1./2.*A1*EC2qqb[idx]*gamma1qg[idx]*LQ2*LF+ A1*EC2qq[idx]*gamma1qg[idx]*LQ3- A1*EC2qq[idx]*gamma1qg[idx]*LQ2*LF+ A1*EC1qq[idx]*gamma2qg[idx]*LQ3- A1*EC1qq[idx]*gamma2qg[idx]*LQ2*LF- 1./2.*A1*EC1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ4+ A1*EC1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF- 1./2.*A1*EC1qq[idx]*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF2- 3./2.*A1*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ4+ 3.*A1*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF- 3./2.*A1*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF2+ 1./2.*A1*EC1qq[idx]*EC1qg[idx]*gamma1gg[idx]*LQ3 - 1./2.*A1*EC1qq[idx]*EC1qg[idx]*gamma1gg[idx]*LQ2*LF+ 1./2.*A1*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*LQ3- 1./2.*A1*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*LQ2*LF+ 1./2.*A1*pow(EC1qq[idx],2)*gamma1qg[idx]*LQ3- 1./2.*A1*pow(EC1qq[idx],2)*gamma1qg[idx]*LQ2*LF+ 1./6.*A1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ5- 1./2.*A1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ4*LF+ 1./2.*A1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ3*LF2- 1./6.*A1*double(NF)*pow(gamma1qg[idx],2)*gamma1gq[idx]*LQ2*LF3- 1./2.*A1*double(NF)*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4+ A1*double(NF)*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF- 1./2.*A1*double(NF)*EC1qg[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+ 7./12.*A1*beta1*gamma1qg[idx]*LQ4- 1./3.*A1*beta1*gamma1qg[idx]*LQ3*LF- 1./4.*A1*beta1*gamma1qg[idx]*LQ2*LF2 + 5./6.*A1*beta0*gamma2qg[idx]*LQ4- 1./3.*A1*beta0*gamma2qg[idx]*LQ3*LF- 1./2.*A1*beta0*gamma2qg[idx]*LQ2*LF2- 5./12.*A1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ5+ 7./12.*A1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ4*LF+ 1./12.*A1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF2- 1./4.*A1*beta0*gamma1qg[idx]*gamma1gg[idx]*LQ2*LF3- 5./4.*A1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ5+ 7./4.*A1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ4*LF+ 1./4.*A1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF2- 3./4.*A1*beta0*gamma1qq[idx]*gamma1qg[idx]*LQ2*LF3+ 13./12.*A1*beta0*EC1qg[idx]*gamma1gg[idx]*LQ4- 5./6.*A1*beta0*EC1qg[idx]*gamma1gg[idx]*LQ3*LF- 1./4.*A1*beta0*EC1qg[idx]*gamma1gg[idx]*LQ2*LF2+ 13./12.*A1*beta0*EC1qg[idx]*gamma1qq[idx]*LQ4 - 5./6.*A1*beta0*EC1qg[idx]*gamma1qq[idx]*LQ3*LF- 1./4.*A1*beta0*EC1qg[idx]*gamma1qq[idx]*LQ2*LF2+ 13./6.*A1*beta0*EC1qq[idx]*gamma1qg[idx]*LQ4- 5./3.*A1*beta0*EC1qq[idx]*gamma1qg[idx]*LQ3*LF- 1./2.*A1*beta0*EC1qq[idx]*gamma1qg[idx]*LQ2*LF2+ 7./12.*A1*pow(beta0,2)*gamma1qg[idx]*LQ5- 1./4.*A1*pow(beta0,2)*gamma1qg[idx]*LQ4*LF- 1./6.*A1*pow(beta0,2)*gamma1qg[idx]*LQ3*LF2- 1./6.*A1*pow(beta0,2)*gamma1qg[idx]*LQ2*LF3- 1./2.*A1*B2*gamma1qg[idx]*LQ4+ 1./2.*A1*B2*gamma1qg[idx]*LQ3*LF- 1./2.*A1*B1*gamma2qg[idx]*LQ4+ 1./2.*A1*B1*gamma2qg[idx]*LQ3*LF+ 1./4.*A1*B1*gamma1qg[idx]*gamma1gg[idx]*LQ5- 1./2.*A1*B1*gamma1qg[idx]*gamma1gg[idx]*LQ4*LF + 1./4.*A1*B1*gamma1qg[idx]*gamma1gg[idx]*LQ3*LF2+ 3./4.*A1*B1*gamma1qq[idx]*gamma1qg[idx]*LQ5- 3./2.*A1*B1*gamma1qq[idx]*gamma1qg[idx]*LQ4*LF+ 3./4.*A1*B1*gamma1qq[idx]*gamma1qg[idx]*LQ3*LF2- 1./2.*A1*B1*EC1qg[idx]*gamma1gg[idx]*LQ4+ 1./2.*A1*B1*EC1qg[idx]*gamma1gg[idx]*LQ3*LF- 1./2.*A1*B1*EC1qg[idx]*gamma1qq[idx]*LQ4+ 1./2.*A1*B1*EC1qg[idx]*gamma1qq[idx]*LQ3*LF- A1*B1*EC1qq[idx]*gamma1qg[idx]*LQ4+ A1*B1*EC1qq[idx]*gamma1qg[idx]*LQ3*LF- 5./6.*A1*B1*beta0*gamma1qg[idx]*LQ5+ 7./12.*A1*B1*beta0*gamma1qg[idx]*LQ4*LF+ 1./4.*A1*B1*beta0*gamma1qg[idx]*LQ3*LF2+ 1./4.*A1*pow(B1,2)*gamma1qg[idx]*LQ5- 1./4.*A1*pow(B1,2)*gamma1qg[idx]*LQ4*LF - 1./4.*A1*A2*gamma1qg[idx]*LQ5+ 1./4.*A1*A2*gamma1qg[idx]*LQ4*LF- 1./8.*pow(A1,2)*gamma2qg[idx]*LQ5+ 1./8.*pow(A1,2)*gamma2qg[idx]*LQ4*LF+ 1./16.*pow(A1,2)*gamma1qg[idx]*gamma1gg[idx]*LQ6- 1./8.*pow(A1,2)*gamma1qg[idx]*gamma1gg[idx]*LQ5*LF+ 1./16.*pow(A1,2)*gamma1qg[idx]*gamma1gg[idx]*LQ4*LF2+ 3./16.*pow(A1,2)*gamma1qq[idx]*gamma1qg[idx]*LQ6- 3./8.*pow(A1,2)*gamma1qq[idx]*gamma1qg[idx]*LQ5*LF+ 3./16.*pow(A1,2)*gamma1qq[idx]*gamma1qg[idx]*LQ4*LF2- 1./8.*pow(A1,2)*EC1qg[idx]*gamma1gg[idx]*LQ5+ 1./8.*pow(A1,2)*EC1qg[idx]*gamma1gg[idx]*LQ4*LF- 1./8.*pow(A1,2)*EC1qg[idx]*gamma1qq[idx]*LQ5+ 1./8.*pow(A1,2)*EC1qg[idx]*gamma1qq[idx]*LQ4*LF- 1./4.*pow(A1,2)*EC1qq[idx]*gamma1qg[idx]*LQ5 + 1./4.*pow(A1,2)*EC1qq[idx]*gamma1qg[idx]*LQ4*LF- 11./48.*pow(A1,2)*beta0*gamma1qg[idx]*LQ6+ 1./6.*pow(A1,2)*beta0*gamma1qg[idx]*LQ5*LF+ 1./16.*pow(A1,2)*beta0*gamma1qg[idx]*LQ4*LF2+ 1./8.*pow(A1,2)*B1*gamma1qg[idx]*LQ6- 1./8.*pow(A1,2)*B1*gamma1qg[idx]*LQ5*LF+ 1./48.*pow(A1,3)*gamma1qg[idx]*LQ7- 1./48.*pow(A1,3)*gamma1qg[idx]*LQ6*LF ;}
