#include "muf.h"
#include "resint.h"
#include "pmom.h"
#include "mesq.h"
#include "settings.h"
#include "ccoeff.h"
#include "resconst.h"

using namespace pmom;
using namespace resconst;
using namespace ccoeff;

complex <double> muf::h4st_qqb   (int idx ) {return + pow(gamma2qqbp[idx],2)*LF2+ pow(gamma2qqbp[idx],2)*LQ2- 2.*pow(gamma2qqbp[idx],2)*LQ*LF+ gamma2qqp[idx]*gamma2qqp[idx]*LF2+ gamma2qqp[idx]*gamma2qqp[idx]*LQ2- 2.*gamma2qqp[idx]*gamma2qqp[idx]*LQ*LF+ pow(gamma2qqb[idx],2)*LF2+ pow(gamma2qqb[idx],2)*LQ2- 2.*pow(gamma2qqb[idx],2)*LQ*LF+ gamma2qg[idx]*gamma1gq[idx]*LF2+ gamma2qg[idx]*gamma1gq[idx]*LQ2- 2.*gamma2qg[idx]*gamma1gq[idx]*LQ*LF+ 2.*gamma1qg[idx]*gamma3gq[idx]*LF2+ 2.*gamma1qg[idx]*gamma3gq[idx]*LQ2 - 2.*gamma1qg[idx]*gamma3gq[idx]*LQ*LF+ gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LF3- gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ3+ gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ2*LF- 2.*gamma1qg[idx]*gamma2gq[idx]*gamma1gg[idx]*LQ*LF2+ 1./12.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LF4+ 1./12.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ4- 1./3.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ3*LF+ 1./2.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ2*LF2- 1./3.*gamma1qg[idx]*gamma1gq[idx]*pow(gamma1gg[idx],2)*LQ*LF3+ 1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+ 1./4.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4- pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+ 3./2.*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2- pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3 + 2.*gamma4qq[idx]*LF- 2.*gamma4qq[idx]*LQ+ 2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3- 2.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+ 4.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF- 5.*gamma2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+ 2.*pow(gamma2qq[idx],2)*LF2+ 2.*pow(gamma2qq[idx],2)*LQ2- 4.*pow(gamma2qq[idx],2)*LQ*LF+ 2.*gamma1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF- 2.*gamma1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+ 3.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LF3- 3.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ3+ 5.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF- 6.*gamma1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2 + 1./2.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]* gamma1gg[idx]*LF4+ 1./2.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4- 2.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF+ 3.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2- 2.*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+ 4.*gamma1qq[idx]*gamma3qq[idx]*LF2+ 4.*gamma1qq[idx]*gamma3qq[idx]*LQ2- 6.*gamma1qq[idx]*gamma3qq[idx]*LQ*LF+ 17./12.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LF4+ 17./12.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ4- 17./3.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+ 17./2.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2- 17./3.*pow(gamma1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+ 4.*pow(gamma1qq[idx],2)*gamma2qq[idx]*LF3 - 4.*pow(gamma1qq[idx],2)*gamma2qq[idx]*LQ3+ 10.*pow(gamma1qq[idx],2)*gamma2qq[idx]*LQ2*LF- 11.*pow(gamma1qq[idx],2)*gamma2qq[idx]*LQ*LF2+ 2./3.*pow(gamma1qq[idx],4)*LF4+ 2./3.*pow(gamma1qq[idx],4)*LQ4- 8./3.*pow(gamma1qq[idx],4)*LQ3*LF+ 4.*pow(gamma1qq[idx],4)*LQ2*LF2- 8./3.*pow(gamma1qq[idx],4)*LQ*LF3+ 2.*EC2qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LF2+ 2.*EC2qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ2- 4.*EC2qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ*LF+ EC1qg[idx]*gamma1qg[idx]*pow(gamma1gq[idx],2)*LF3- EC1qg[idx]*gamma1qg[idx]*pow(gamma1gq[idx],2)*LQ3+ 3.*EC1qg[idx]*gamma1qg[idx]*pow(gamma1gq[idx],2)*LQ2*LF- 3.*EC1qg[idx]*gamma1qg[idx]*pow(gamma1gq[idx],2)*LQ*LF2 + 2.*EC1qg[idx]*gamma2qq[idx]*gamma1gq[idx]*LF2+ 2.*EC1qg[idx]*gamma2qq[idx]*gamma1gq[idx]*LQ2- 4.*EC1qg[idx]*gamma2qq[idx]*gamma1gq[idx]*LQ*LF+ 2.*EC1qg[idx]*gamma1qq[idx]*gamma2gq[idx]*LF2+ 2.*EC1qg[idx]*gamma1qq[idx]*gamma2gq[idx]*LQ2- 4.*EC1qg[idx]*gamma1qq[idx]*gamma2gq[idx]*LQ*LF+ EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*gamma1gg[idx]*LF3- EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3+ 3.*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF- 3.*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF2+ 2.*EC1qg[idx]*pow(gamma1qq[idx],2)*gamma1gq[idx]*LF3- 2.*EC1qg[idx]*pow(gamma1qq[idx],2)*gamma1gq[idx]*LQ3+ 6.*EC1qg[idx]*pow(gamma1qq[idx],2)*gamma1gq[idx]*LQ2*LF- 6.*EC1qg[idx]*pow(gamma1qq[idx],2)*gamma1gq[idx]*LQ*LF2+ pow(EC1qg[idx],2)*pow(gamma1gq[idx],2)*LF2 + pow(EC1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2- 2.*pow(EC1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF+ 2.*EC3qq[idx]*gamma1qq[idx]*LF- 2.*EC3qq[idx]*gamma1qq[idx]*LQ+ EC2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF2+ EC2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2- 2.*EC2qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+ 2.*EC2qq[idx]*gamma2qq[idx]*LF- 2.*EC2qq[idx]*gamma2qq[idx]*LQ+ 3.*EC2qq[idx]*pow(gamma1qq[idx],2)*LF2+ 3.*EC2qq[idx]*pow(gamma1qq[idx],2)*LQ2- 6.*EC2qq[idx]*pow(gamma1qq[idx],2)*LQ*LF+ 2.*EC2qq[idx]*EC1qg[idx]*gamma1gq[idx]*LF- 2.*EC2qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ- 2.*EC1qq[idx]*gamma2qg[idx]*gamma1gq[idx]*LQ*LF + 2.*EC1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LF2+ 2.*EC1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ2- 2.*EC1qq[idx]*gamma1qg[idx]*gamma2gq[idx]*LQ*LF+ 1./3.*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF3- 1./3.*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3+ EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF- EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF2+ 2.*EC1qq[idx]*gamma3qq[idx]*LF- 2.*EC1qq[idx]*gamma3qq[idx]*LQ+ 8./3.*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3- 8./3.*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+ 8.*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF- 8.*EC1qq[idx]*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+ 6.*EC1qq[idx]*gamma1qq[idx]*gamma2qq[idx]*LF2+ 6.*EC1qq[idx]*gamma1qq[idx]*gamma2qq[idx]*LQ2 - 12.*EC1qq[idx]*gamma1qq[idx]*gamma2qq[idx]*LQ*LF+ 7./3.*EC1qq[idx]*pow(gamma1qq[idx],3)*LF3- 7./3.*EC1qq[idx]*pow(gamma1qq[idx],3)*LQ3+ 7.*EC1qq[idx]*pow(gamma1qq[idx],3)*LQ2*LF- 7.*EC1qq[idx]*pow(gamma1qq[idx],3)*LQ*LF2+ 2.*EC1qq[idx]*EC2qg[idx]*gamma1gq[idx]*LF- 2.*EC1qq[idx]*EC2qg[idx]*gamma1gq[idx]*LQ+ 2.*EC1qq[idx]*EC1qg[idx]*gamma2gq[idx]*LF- 2.*EC1qq[idx]*EC1qg[idx]*gamma2gq[idx]*LQ+ EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF2+ EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2- 2.*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF+ 3.*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LF2+ 3.*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ2- 6.*EC1qq[idx]*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ*LF + 4.*EC1qq[idx]*EC2qq[idx]*gamma1qq[idx]*LF- 4.*EC1qq[idx]*EC2qq[idx]*gamma1qq[idx]*LQ+ pow(EC1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LF2+ pow(EC1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ2- 2.*pow(EC1qq[idx],2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF+ 2.*pow(EC1qq[idx],2)*gamma2qq[idx]*LF- 2.*pow(EC1qq[idx],2)*gamma2qq[idx]*LQ+ 2.*pow(EC1qq[idx],2)*pow(gamma1qq[idx],2)*LF2+ 2.*pow(EC1qq[idx],2)*pow(gamma1qq[idx],2)*LQ2- 4.*pow(EC1qq[idx],2)*pow(gamma1qq[idx],2)*LQ*LF+ 1./6.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LF4+ 1./6.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ4- 2./3.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ3*LF+ double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ2*LF2- 2./3.*double(NF)*pow(gamma1qg[idx],2)*pow(gamma1gq[idx],2)*LQ*LF3 + beta2*gamma1qq[idx]*LF2- beta2*gamma1qq[idx]*LQ2+ beta1*gamma1qg[idx]*gamma1gq[idx]*LF3+ beta1*gamma1qg[idx]*gamma1gq[idx]*LQ3- beta1*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF- beta1*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+ 2.*beta1*gamma2qq[idx]*LF2- 2.*beta1*gamma2qq[idx]*LQ2+ 2.*beta1*pow(gamma1qq[idx],2)*LF3+ 2.*beta1*pow(gamma1qq[idx],2)*LQ3- 2.*beta1*pow(gamma1qq[idx],2)*LQ2*LF- 2.*beta1*pow(gamma1qq[idx],2)*LQ*LF2+ beta1*EC1qg[idx]*gamma1gq[idx]*LF2- 3.*beta1*EC1qg[idx]*gamma1gq[idx]*LQ2+ 2.*beta1*EC1qg[idx]*gamma1gq[idx]*LQ*LF + 2.*beta1*EC1qq[idx]*gamma1qq[idx]*LF2- 6.*beta1*EC1qq[idx]*gamma1qq[idx]*LQ2+ 4.*beta1*EC1qq[idx]*gamma1qq[idx]*LQ*LF- 2.*beta0*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF- beta0*gamma2qg[idx]*gamma1gq[idx]*LQ*LF2+ 3.*beta0*gamma1qg[idx]*gamma2gq[idx]*LF3+ 3.*beta0*gamma1qg[idx]*gamma2gq[idx]*LQ3- beta0*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF- 2.*beta0*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+ 1./2.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF4- 1./2.*beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4+ beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF- beta0*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+ 3.*beta0*gamma3qq[idx]*LF2- 3.*beta0*gamma3qq[idx]*LQ2 + 5./2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]* LF4- 5./2.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4+ 5.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF- 5.*beta0*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+ 6.*beta0*gamma1qq[idx]*gamma2qq[idx]*LF3+ 6.*beta0*gamma1qq[idx]*gamma2qq[idx]*LQ3- 6.*beta0*gamma1qq[idx]*gamma2qq[idx]*LQ2*LF- 6.*beta0*gamma1qq[idx]*gamma2qq[idx]*LQ*LF2+ 2.*beta0*pow(gamma1qq[idx],3)*LF4- 2.*beta0*pow(gamma1qq[idx],3)*LQ4+ 4.*beta0*pow(gamma1qq[idx],3)*LQ3*LF- 4.*beta0*pow(gamma1qq[idx],3)*LQ*LF3+ beta0*EC2qg[idx]*gamma1gq[idx]*LF2- 5.*beta0*EC2qg[idx]*gamma1gq[idx]*LQ2 + 4.*beta0*EC2qg[idx]*gamma1gq[idx]*LQ*LF+ 2.*beta0*EC1qg[idx]*gamma2gq[idx]*LF2- 4.*beta0*EC1qg[idx]*gamma2gq[idx]*LQ2+ 2.*beta0*EC1qg[idx]*gamma2gq[idx]*LQ*LF+ beta0*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LF3+ 2.*beta0*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3- 3.*beta0*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF+ 3.*beta0*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LF3+ 6.*beta0*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ3- 9.*beta0*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ2*LF+ 2.*beta0*EC2qq[idx]*gamma1qq[idx]*LF2- 10.*beta0*EC2qq[idx]*gamma1qq[idx]*LQ2+ 8.*beta0*EC2qq[idx]*gamma1qq[idx]*LQ*LF+ 2.*beta0*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LF3+ 4.*beta0*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3 - 6.*beta0*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF+ 4.*beta0*EC1qq[idx]*gamma2qq[idx]*LF2- 8.*beta0*EC1qq[idx]*gamma2qq[idx]*LQ2+ 4.*beta0*EC1qq[idx]*gamma2qq[idx]*LQ*LF+ 4.*beta0*EC1qq[idx]*pow(gamma1qq[idx],2)*LF3+ 8.*beta0*EC1qq[idx]*pow(gamma1qq[idx],2)*LQ3- 12.*beta0*EC1qq[idx]*pow(gamma1qq[idx],2)*LQ2*LF+ beta0*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LF2- 5.*beta0*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ2+ 4.*beta0*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ*LF+ beta0*pow(EC1qq[idx],2)*gamma1qq[idx]*LF2- 5.*beta0*pow(EC1qq[idx],2)*gamma1qq[idx]*LQ2+ 4.*beta0*pow(EC1qq[idx],2)*gamma1qq[idx]*LQ*LF+ 5./3.*beta0*beta1*gamma1qq[idx]*LF3- 5./3.*beta0*beta1*gamma1qq[idx]*LQ3 + 11./12.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LF4+ 11./12.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4- 2./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF- 1./2.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2- 2./3.*pow(beta0,2)*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+ 2.*pow(beta0,2)*gamma2qq[idx]*LF3- 2.*pow(beta0,2)*gamma2qq[idx]*LQ3+ 11./6.*pow(beta0,2)*pow(gamma1qq[idx],2)*LF4+ 11./6.*pow(beta0,2)*pow(gamma1qq[idx],2)*LQ4- 4./3.*pow(beta0,2)*pow(gamma1qq[idx],2)*LQ3*LF- pow(beta0,2)*pow(gamma1qq[idx],2)*LQ2*LF2- 4./3.*pow(beta0,2)*pow(gamma1qq[idx],2)*LQ*LF3+ 2./3.*pow(beta0,2)*EC1qg[idx]*gamma1gq[idx]*LF3- 11./3.*pow(beta0,2)*EC1qg[idx]*gamma1gq[idx]*LQ3+ 2.*pow(beta0,2)*EC1qg[idx]*gamma1gq[idx]*LQ2*LF + pow(beta0,2)*EC1qg[idx]*gamma1gq[idx]*LQ*LF2+ 4./3.*pow(beta0,2)*EC1qq[idx]*gamma1qq[idx]*LF3- 22./3.*pow(beta0,2)*EC1qq[idx]*gamma1qq[idx]*LQ3+ 4.*pow(beta0,2)*EC1qq[idx]*gamma1qq[idx]*LQ2*LF+ 2.*pow(beta0,2)*EC1qq[idx]*gamma1qq[idx]*LQ*LF2+ 1./2.*pow(beta0,3)*gamma1qq[idx]*LF4- 1./2.*pow(beta0,3)*gamma1qq[idx]*LQ4+ 2.*B3*gamma1qq[idx]*LQ2- 2.*B3*gamma1qq[idx]*LQ*LF- B2*gamma1qg[idx]*gamma1gq[idx]*LQ3+ 2.*B2*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF- B2*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2+ 2.*B2*gamma2qq[idx]*LQ2- 2.*B2*gamma2qq[idx]*LQ*LF- 2.*B2*pow(gamma1qq[idx],2)*LQ3 + 4.*B2*pow(gamma1qq[idx],2)*LQ2*LF- 2.*B2*pow(gamma1qq[idx],2)*LQ*LF2+ 2.*B2*EC1qg[idx]*gamma1gq[idx]*LQ2- 2.*B2*EC1qg[idx]*gamma1gq[idx]*LQ*LF+ 4.*B2*EC1qq[idx]*gamma1qq[idx]*LQ2- 4.*B2*EC1qq[idx]*gamma1qq[idx]*LQ*LF+ 3.*B2*beta0*gamma1qq[idx]*LQ3- 2.*B2*beta0*gamma1qq[idx]*LQ2*LF- B2*beta0*gamma1qq[idx]*LQ*LF2+ 2.*B1*gamma2qg[idx]*gamma1gq[idx]*LQ2*LF- 2.*B1*gamma1qg[idx]*gamma2gq[idx]*LQ3+ 2.*B1*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF- 2.*B1*gamma1qg[idx]*gamma2gq[idx]*LQ*LF2+ 1./3.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4- B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF + B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2- 1./3.*B1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF3+ 2.*B1*gamma3qq[idx]*LQ2- 2.*B1*gamma3qq[idx]*LQ*LF+ 5./3.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4- 5.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+ 5.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2- 5./3.*B1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3- 4.*B1*gamma1qq[idx]*gamma2qq[idx]*LQ3+ 8.*B1*gamma1qq[idx]*gamma2qq[idx]*LQ2*LF- 4.*B1*gamma1qq[idx]*gamma2qq[idx]*LQ*LF2+ 4./3.*B1*pow(gamma1qq[idx],3)*LQ4- 4.*B1*pow(gamma1qq[idx],3)*LQ3*LF+ 4.*B1*pow(gamma1qq[idx],3)*LQ2*LF2- 4./3.*B1*pow(gamma1qq[idx],3)*LQ*LF3 + 2.*B1*EC2qg[idx]*gamma1gq[idx]*LQ2- 2.*B1*EC2qg[idx]*gamma1gq[idx]*LQ*LF+ 2.*B1*EC1qg[idx]*gamma2gq[idx]*LQ2- 2.*B1*EC1qg[idx]*gamma2gq[idx]*LQ*LF- B1*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3+ 2.*B1*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF- B1*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ*LF2- 3.*B1*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ3+ 6.*B1*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ2*LF- 3.*B1*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ*LF2+ 4.*B1*EC2qq[idx]*gamma1qq[idx]*LQ2- 4.*B1*EC2qq[idx]*gamma1qq[idx]*LQ*LF- 2.*B1*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3+ 4.*B1*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF- 2.*B1*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ*LF2 + 4.*B1*EC1qq[idx]*gamma2qq[idx]*LQ2- 4.*B1*EC1qq[idx]*gamma2qq[idx]*LQ*LF- 4.*B1*EC1qq[idx]*pow(gamma1qq[idx],2)*LQ3+ 8.*B1*EC1qq[idx]*pow(gamma1qq[idx],2)*LQ2*LF- 4.*B1*EC1qq[idx]*pow(gamma1qq[idx],2)*LQ*LF2+ 2.*B1*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ2- 2.*B1*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ*LF+ 2.*B1*pow(EC1qq[idx],2)*gamma1qq[idx]*LQ2- 2.*B1*pow(EC1qq[idx],2)*gamma1qq[idx]*LQ*LF+ 2.*B1*beta1*gamma1qq[idx]*LQ3- B1*beta1*gamma1qq[idx]*LQ2*LF- B1*beta1*gamma1qq[idx]*LQ*LF2- 3./2.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ4+ 2.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+ 1./2.*B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2 - B1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ*LF3+ 3.*B1*beta0*gamma2qq[idx]*LQ3- B1*beta0*gamma2qq[idx]*LQ2*LF- 2.*B1*beta0*gamma2qq[idx]*LQ*LF2- 3.*B1*beta0*pow(gamma1qq[idx],2)*LQ4+ 4.*B1*beta0*pow(gamma1qq[idx],2)*LQ3*LF+ B1*beta0*pow(gamma1qq[idx],2)*LQ2*LF2- 2.*B1*beta0*pow(gamma1qq[idx],2)*LQ*LF3+ 4.*B1*beta0*EC1qg[idx]*gamma1gq[idx]*LQ3- 3.*B1*beta0*EC1qg[idx]*gamma1gq[idx]*LQ2*LF- B1*beta0*EC1qg[idx]*gamma1gq[idx]*LQ*LF2+ 8.*B1*beta0*EC1qq[idx]*gamma1qq[idx]*LQ3- 6.*B1*beta0*EC1qq[idx]*gamma1qq[idx]*LQ2*LF- 2.*B1*beta0*EC1qq[idx]*gamma1qq[idx]*LQ*LF2+ 11./6.*B1*pow(beta0,2)*gamma1qq[idx]*LQ4 - 2./3.*B1*pow(beta0,2)*gamma1qq[idx]*LQ3*LF- 1./2.*B1*pow(beta0,2)*gamma1qq[idx]*LQ2*LF2- 2./3.*B1*pow(beta0,2)*gamma1qq[idx]*LQ*LF3- 2.*B1*B2*gamma1qq[idx]*LQ3+ 2.*B1*B2*gamma1qq[idx]*LQ2*LF+ 1./2.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4- pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF+ 1./2.*pow(B1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2- pow(B1,2)*gamma2qq[idx]*LQ3+ pow(B1,2)*gamma2qq[idx]*LQ2*LF+ pow(B1,2)*pow(gamma1qq[idx],2)*LQ4- 2.*pow(B1,2)*pow(gamma1qq[idx],2)*LQ3*LF+ pow(B1,2)*pow(gamma1qq[idx],2)*LQ2*LF2- pow(B1,2)*EC1qg[idx]*gamma1gq[idx]*LQ3+ pow(B1,2)*EC1qg[idx]*gamma1gq[idx]*LQ2*LF - 2.*pow(B1,2)*EC1qq[idx]*gamma1qq[idx]*LQ3+ 2.*pow(B1,2)*EC1qq[idx]*gamma1qq[idx]*LQ2*LF- 3./2.*pow(B1,2)*beta0*gamma1qq[idx]*LQ4+ pow(B1,2)*beta0*gamma1qq[idx]*LQ3*LF+ 1./2.*pow(B1,2)*beta0*gamma1qq[idx]*LQ2*LF2+ 1./3.*pow(B1,3)*gamma1qq[idx]*LQ4- 1./3.*pow(B1,3)*gamma1qq[idx]*LQ3*LF+ A3*gamma1qq[idx]*LQ3- A3*gamma1qq[idx]*LQ2*LF- 1./2.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ4+ A2*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF- 1./2.*A2*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+ A2*gamma2qq[idx]*LQ3- A2*gamma2qq[idx]*LQ2*LF- A2*pow(gamma1qq[idx],2)*LQ4 + 2.*A2*pow(gamma1qq[idx],2)*LQ3*LF- A2*pow(gamma1qq[idx],2)*LQ2*LF2+ A2*EC1qg[idx]*gamma1gq[idx]*LQ3- A2*EC1qg[idx]*gamma1gq[idx]*LQ2*LF+ 2.*A2*EC1qq[idx]*gamma1qq[idx]*LQ3- 2.*A2*EC1qq[idx]*gamma1qq[idx]*LQ2*LF+ 11./6.*A2*beta0*gamma1qq[idx]*LQ4- 4./3.*A2*beta0*gamma1qq[idx]*LQ3*LF- 1./2.*A2*beta0*gamma1qq[idx]*LQ2*LF2- A2*B1*gamma1qq[idx]*LQ4+ A2*B1*gamma1qq[idx]*LQ3*LF+ A1*gamma2qg[idx]*gamma1gq[idx]*LQ3*LF- A1*gamma1qg[idx]*gamma2gq[idx]*LQ4+ A1*gamma1qg[idx]*gamma2gq[idx]*LQ3*LF- A1*gamma1qg[idx]*gamma2gq[idx]*LQ2*LF2 + 1./6.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ5- 1./2.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4*LF+ 1./2.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF2- 1./6.*A1*gamma1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF3+ A1*gamma3qq[idx]*LQ3- A1*gamma3qq[idx]*LQ2*LF+ 5./6.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ5- 5./2.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+ 5./2.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2- 5./6.*A1*gamma1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF3- 2.*A1*gamma1qq[idx]*gamma2qq[idx]*LQ4+ 4.*A1*gamma1qq[idx]*gamma2qq[idx]*LQ3*LF- 2.*A1*gamma1qq[idx]*gamma2qq[idx]*LQ2*LF2+ 2./3.*A1*pow(gamma1qq[idx],3)*LQ5- 2.*A1*pow(gamma1qq[idx],3)*LQ4*LF + 2.*A1*pow(gamma1qq[idx],3)*LQ3*LF2- 2./3.*A1*pow(gamma1qq[idx],3)*LQ2*LF3+ A1*EC2qg[idx]*gamma1gq[idx]*LQ3- A1*EC2qg[idx]*gamma1gq[idx]*LQ2*LF+ A1*EC1qg[idx]*gamma2gq[idx]*LQ3- A1*EC1qg[idx]*gamma2gq[idx]*LQ2*LF- 1./2.*A1*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ4+ A1*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ3*LF- 1./2.*A1*EC1qg[idx]*gamma1gq[idx]*gamma1gg[idx]*LQ2*LF2- 3./2.*A1*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ4+ 3.*A1*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ3*LF- 3./2.*A1*EC1qg[idx]*gamma1qq[idx]*gamma1gq[idx]*LQ2*LF2+ 2.*A1*EC2qq[idx]*gamma1qq[idx]*LQ3- 2.*A1*EC2qq[idx]*gamma1qq[idx]*LQ2*LF- A1*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ4 + 2.*A1*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF- A1*EC1qq[idx]*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF2+ 2.*A1*EC1qq[idx]*gamma2qq[idx]*LQ3- 2.*A1*EC1qq[idx]*gamma2qq[idx]*LQ2*LF- 2.*A1*EC1qq[idx]*pow(gamma1qq[idx],2)*LQ4+ 4.*A1*EC1qq[idx]*pow(gamma1qq[idx],2)*LQ3*LF- 2.*A1*EC1qq[idx]*pow(gamma1qq[idx],2)*LQ2*LF2+ A1*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ3- A1*EC1qq[idx]*EC1qg[idx]*gamma1gq[idx]*LQ2*LF+ A1*pow(EC1qq[idx],2)*gamma1qq[idx]*LQ3- A1*pow(EC1qq[idx],2)*gamma1qq[idx]*LQ2*LF+ 7./6.*A1*beta1*gamma1qq[idx]*LQ4- 2./3.*A1*beta1*gamma1qq[idx]*LQ3*LF- 1./2.*A1*beta1*gamma1qq[idx]*LQ2*LF2- 5./6.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ5 + 7./6.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+ 1./6.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2- 1./2.*A1*beta0*gamma1qg[idx]*gamma1gq[idx]*LQ2*LF3+ 5./3.*A1*beta0*gamma2qq[idx]*LQ4- 2./3.*A1*beta0*gamma2qq[idx]*LQ3*LF- A1*beta0*gamma2qq[idx]*LQ2*LF2- 5./3.*A1*beta0*pow(gamma1qq[idx],2)*LQ5+ 7./3.*A1*beta0*pow(gamma1qq[idx],2)*LQ4*LF+ 1./3.*A1*beta0*pow(gamma1qq[idx],2)*LQ3*LF2- A1*beta0*pow(gamma1qq[idx],2)*LQ2*LF3+ 13./6.*A1*beta0*EC1qg[idx]*gamma1gq[idx]*LQ4- 5./3.*A1*beta0*EC1qg[idx]*gamma1gq[idx]*LQ3*LF- 1./2.*A1*beta0*EC1qg[idx]*gamma1gq[idx]*LQ2*LF2+ 13./3.*A1*beta0*EC1qq[idx]*gamma1qq[idx]*LQ4- 10./3.*A1*beta0*EC1qq[idx]*gamma1qq[idx]*LQ3*LF - A1*beta0*EC1qq[idx]*gamma1qq[idx]*LQ2*LF2+ 7./6.*A1*pow(beta0,2)*gamma1qq[idx]*LQ5- 1./2.*A1*pow(beta0,2)*gamma1qq[idx]*LQ4*LF- 1./3.*A1*pow(beta0,2)*gamma1qq[idx]*LQ3*LF2- 1./3.*A1*pow(beta0,2)*gamma1qq[idx]*LQ2*LF3- A1*B2*gamma1qq[idx]*LQ4+ A1*B2*gamma1qq[idx]*LQ3*LF+ 1./2.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ5- A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF+ 1./2.*A1*B1*gamma1qg[idx]*gamma1gq[idx]*LQ3*LF2- A1*B1*gamma2qq[idx]*LQ4+ A1*B1*gamma2qq[idx]*LQ3*LF+ A1*B1*pow(gamma1qq[idx],2)*LQ5- 2.*A1*B1*pow(gamma1qq[idx],2)*LQ4*LF+ A1*B1*pow(gamma1qq[idx],2)*LQ3*LF2 - A1*B1*EC1qg[idx]*gamma1gq[idx]*LQ4+ A1*B1*EC1qg[idx]*gamma1gq[idx]*LQ3*LF- 2.*A1*B1*EC1qq[idx]*gamma1qq[idx]*LQ4+ 2.*A1*B1*EC1qq[idx]*gamma1qq[idx]*LQ3*LF- 5./3.*A1*B1*beta0*gamma1qq[idx]*LQ5+ 7./6.*A1*B1*beta0*gamma1qq[idx]*LQ4*LF+ 1./2.*A1*B1*beta0*gamma1qq[idx]*LQ3*LF2+ 1./2.*A1*pow(B1,2)*gamma1qq[idx]*LQ5- 1./2.*A1*pow(B1,2)*gamma1qq[idx]*LQ4*LF- 1./2.*A1*A2*gamma1qq[idx]*LQ5+ 1./2.*A1*A2*gamma1qq[idx]*LQ4*LF+ 1./8.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ6- 1./4.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ5*LF+ 1./8.*pow(A1,2)*gamma1qg[idx]*gamma1gq[idx]*LQ4*LF2- 1./4.*pow(A1,2)*gamma2qq[idx]*LQ5 + 1./4.*pow(A1,2)*gamma2qq[idx]*LQ4*LF+ 1./4.*pow(A1,2)*pow(gamma1qq[idx],2)*LQ6- 1./2.*pow(A1,2)*pow(gamma1qq[idx],2)*LQ5*LF+ 1./4.*pow(A1,2)*pow(gamma1qq[idx],2)*LQ4*LF2- 1./4.*pow(A1,2)*EC1qg[idx]*gamma1gq[idx]*LQ5+ 1./4.*pow(A1,2)*EC1qg[idx]*gamma1gq[idx]*LQ4*LF- 1./2.*pow(A1,2)*EC1qq[idx]*gamma1qq[idx]*LQ5+ 1./2.*pow(A1,2)*EC1qq[idx]*gamma1qq[idx]*LQ4*LF- 11./24.*pow(A1,2)*beta0*gamma1qq[idx]*LQ6+ 1./3.*pow(A1,2)*beta0*gamma1qq[idx]*LQ5*LF+ 1./8.*pow(A1,2)*beta0*gamma1qq[idx]*LQ4*LF2+ 1./4.*pow(A1,2)*B1*gamma1qq[idx]*LQ6- 1./4.*pow(A1,2)*B1*gamma1qq[idx]*LQ5*LF+ 1./24.*pow(A1,3)*gamma1qq[idx]*LQ7- 1./24.*pow(A1,3)*gamma1qq[idx]*LQ6*LF ;}
